Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::CellRendererTextSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gtk::CellRendererText. More...

`#include <xfc/gtk/cellrenderertextsignals.hh>`

Inheritance diagram for Xfc::Gtk::CellRendererTextSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_edited (const String &path, const String &new_text)
    Called when the user has finished editing the cell text.

## Protected Member Functions

Constructors

- CellRendererTextSignals (CellRendererText *cell)
    Construct a new CellRendererTextSignals object.
- virtual ~CellRendererTextSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gtk::CellRendererText.

## Constructor & Destructor Documentation

Xfc::Gtk::CellRendererTextSignals::CellRendererTextSignals | ( | CellRendererText * | cell | ) | `[protected]`

Construct a new CellRendererTextSignals object.

Parameters:

  | cell | A CellRendererText object inheriting the CellRendererTextSignals implementation.

## Member Function Documentation

virtual void Xfc::Gtk::CellRendererTextSignals::on_edited | ( | const String & | path,
|  | const String & | new_text
| ) | `[virtual]`

Called when the user has finished editing the cell text.

Parameters:

  | path | Widget-dependent string representation of the event location; e.g. for TreeView, a string representation of TreePath.
  | new_text | The newly edited text.

The documentation for this class was generated from the following file:

- cellrenderertextsignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3